\section{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h File Reference}
\label{discover-conf_8h}\index{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h@{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h}}
Public interface for reading Discover configuration data. 

{\tt \#include $<$discover/discover.h$>$}\par
\subsection*{Functions}
\begin{CompactItemize}
\item 
void {\bf discover\_\-conf\_\-load} ({\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-bus\_\-map\_\-t} $\ast$ {\bf discover\_\-conf\_\-get\_\-full\_\-bus\_\-map} ({\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-bus\_\-map\_\-t} $\ast$ {\bf discover\_\-conf\_\-get\_\-bus\_\-map} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-bus\_\-map\_\-t} $\ast$ {\bf discover\_\-conf\_\-get\_\-bus\_\-map\_\-by\_\-name} (char $\ast$name, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-conf\_\-insert\_\-url} (char $\ast$url, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-conf\_\-append\_\-url} (char $\ast$url, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-conf\_\-get\_\-urls} ({\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-conf\_\-free} (void)
\item 
char $\ast$ {\bf discover\_\-conf\_\-get\_\-bus\_\-name} ({\bf discover\_\-bus\_\-t} bus)
\item 
char $\ast$ {\bf discover\_\-conf\_\-get\_\-filetype\_\-name} ({\bf discover\_\-filetype\_\-t} filetype)
\item 
int {\bf discover\_\-conf\_\-name\_\-to\_\-bus} (char $\ast$name, {\bf discover\_\-error\_\-t} $\ast$status)
\end{CompactItemize}


\subsection{Detailed Description}
Public interface for reading Discover configuration data. 

These routines are the public interface used to read the configuration data from the desired source. These interfaces are also used to alter the URLs searched for configuration data. 

Definition in file {\bf discover-conf.h}.